// Package data_mask ...
//
// Description : data_mask ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-05-23 14:23
package data_mask

// IDataMask 接口约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:23 2023/5/23
type IDataMask interface {
	// Mask 将输入的input, 转换成输出数据
	//
	// Author : go_developer@163.com<白茶清欢>
	//
	// Date : 14:24 2023/5/23
	Mask(input string) string
	// Type 数据脱敏类型
	//
	// Author : go_developer@163.com<白茶清欢>
	//
	// Date : 14:24 2023/5/23
	Type() string
}
